/*
 * Class INDEXABLE_ITERATION_CURSOR [CHARACTER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_2046 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_2046 [] = {0xFF01,1551,2045,842,0xFFFF};
static const EIF_TYPE_INDEX egt_2_2046 [] = {0xFF01,2045,842,0xFFFF};
static const EIF_TYPE_INDEX egt_3_2046 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_2046 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_2046 [] = {0xFF01,2045,842,0xFFFF};
static const EIF_TYPE_INDEX egt_6_2046 [] = {0xFF01,2045,842,0xFFFF};
static const EIF_TYPE_INDEX egt_7_2046 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_2046 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_2046 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_2046 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_2046 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_2046 [] = {2045,842,0xFFFF};
static const EIF_TYPE_INDEX egt_13_2046 [] = {0xFF01,2045,842,0xFFFF};
static const EIF_TYPE_INDEX egt_14_2046 [] = {0xFF01,2045,842,0xFFFF};
static const EIF_TYPE_INDEX egt_15_2046 [] = {0xFF01,2045,842,0xFFFF};
static const EIF_TYPE_INDEX egt_16_2046 [] = {0xFF01,2045,842,0xFFFF};
static const EIF_TYPE_INDEX egt_17_2046 [] = {0xFF01,2045,842,0xFFFF};
static const EIF_TYPE_INDEX egt_18_2046 [] = {0xFF01,2047,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_2046 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_20_2046 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_2046 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_2046 [] = {0xFF01,2045,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_2046 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_2046[] = {
	{EIF_GENERIC(NULL), 10911, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_2046), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_2046), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_2046), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_2046), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_2046), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_2046), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_2046), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_2046), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_2046), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_2046), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_2046), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_2046), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_2046), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_2046), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10912, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10914, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10915, 12},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10916, 16},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10917, 20},
	{EIF_NON_GENERIC(0x06CB /*869*/), 10918, 24},
	{EIF_GENERIC(egt_14_2046), 10920, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_2046), 10921, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_2046), 10922, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_2046), 10923, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 10924, 8},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10926, 4},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10927, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10928, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10929, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10930, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10931, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10932, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_2046), 10934, 0},
	{EIF_GENERIC(egt_19_2046), 10935, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_2046), 10913, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 10925, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 10933, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_2046), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_2046), 10919, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_2046), -1, 0xFFFFFFFF},
};
void Init2046(void)
{
	IDSC(desc_2046, 0, 2045);
	IDSC(desc_2046 + 1, 1, 2045);
	IDSC(desc_2046 + 32, 880, 2045);
	IDSC(desc_2046 + 52, 1449, 2045);
	IDSC(desc_2046 + 56, 1088, 2045);
}


#ifdef __cplusplus
}
#endif
